Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jun 2019 16:49:19 +0200

Dmitry Gutov <[email-masked]> writes:

> +;;;###autoload
> +(defun vc-root-dir ()
> +  "Show the VC status of the current buffer's repository.
> +If the buffer is not visiting a version controlled file, or if
> +the backend does not support function `root', prompt for
> +directory.  See `vc-dir' for more details."

I think this sounds like a useful command -- whenever I'm not vc-dir-in
in the top level of the repo, I'm doing something wrong (and just
committing bits of the changes I meant to do).

I made my own command to do this, but I think it would be generally
useful.

[...]

> -    (define-key map "d" 'vc-dir)
> +    (define-key map "d" 'vc-root-dir)

But this would probably be very controversial.  `C-x v /' is a nice
binding, though...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no